IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/44
Addresses2^84
/64 networks1,048,576
- Network
3c19:c25c:120::/44- First address
3c19:c25c:120::- Last address
3c19:c25c:12f:ffff:ffff:ffff:ffff:ffff- Addresses
- 19,342,813,113,834,066,795,298,816 (2^84)
- /64 networks (LANs)
- 1,048,576
- Full form
3c19:c25c:0120:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
2.1.0.c.5.2.c.9.1.c.3.ip6.arpa
Split into smaller subnets
3c19:c25c:120::/44 makes 256 subnets of /52.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19:c25c:120::/52 | 3c19:c25c:120:fff:ffff:ffff:ffff:ffff |
| 2 | 3c19:c25c:120:1000::/52 | 3c19:c25c:120:1fff:ffff:ffff:ffff:ffff |
| 3 | 3c19:c25c:120:2000::/52 | 3c19:c25c:120:2fff:ffff:ffff:ffff:ffff |
| 4 | 3c19:c25c:120:3000::/52 | 3c19:c25c:120:3fff:ffff:ffff:ffff:ffff |
| 5 | 3c19:c25c:120:4000::/52 | 3c19:c25c:120:4fff:ffff:ffff:ffff:ffff |
| 6 | 3c19:c25c:120:5000::/52 | 3c19:c25c:120:5fff:ffff:ffff:ffff:ffff |
| 7 | 3c19:c25c:120:6000::/52 | 3c19:c25c:120:6fff:ffff:ffff:ffff:ffff |
| 8 | 3c19:c25c:120:7000::/52 | 3c19:c25c:120:7fff:ffff:ffff:ffff:ffff |
| 9 | 3c19:c25c:120:8000::/52 | 3c19:c25c:120:8fff:ffff:ffff:ffff:ffff |
| 10 | 3c19:c25c:120:9000::/52 | 3c19:c25c:120:9fff:ffff:ffff:ffff:ffff |
| 11 | 3c19:c25c:120:a000::/52 | 3c19:c25c:120:afff:ffff:ffff:ffff:ffff |
| 12 | 3c19:c25c:120:b000::/52 | 3c19:c25c:120:bfff:ffff:ffff:ffff:ffff |
| 13 | 3c19:c25c:120:c000::/52 | 3c19:c25c:120:cfff:ffff:ffff:ffff:ffff |
| 14 | 3c19:c25c:120:d000::/52 | 3c19:c25c:120:dfff:ffff:ffff:ffff:ffff |
| 15 | 3c19:c25c:120:e000::/52 | 3c19:c25c:120:efff:ffff:ffff:ffff:ffff |
| 16 | 3c19:c25c:120:f000::/52 | 3c19:c25c:120:ffff:ffff:ffff:ffff:ffff |
| 17 | 3c19:c25c:121::/52 | 3c19:c25c:121:fff:ffff:ffff:ffff:ffff |
| 18 | 3c19:c25c:121:1000::/52 | 3c19:c25c:121:1fff:ffff:ffff:ffff:ffff |
| 19 | 3c19:c25c:121:2000::/52 | 3c19:c25c:121:2fff:ffff:ffff:ffff:ffff |
| 20 | 3c19:c25c:121:3000::/52 | 3c19:c25c:121:3fff:ffff:ffff:ffff:ffff |
| 21 | 3c19:c25c:121:4000::/52 | 3c19:c25c:121:4fff:ffff:ffff:ffff:ffff |
| 22 | 3c19:c25c:121:5000::/52 | 3c19:c25c:121:5fff:ffff:ffff:ffff:ffff |
| 23 | 3c19:c25c:121:6000::/52 | 3c19:c25c:121:6fff:ffff:ffff:ffff:ffff |
| 24 | 3c19:c25c:121:7000::/52 | 3c19:c25c:121:7fff:ffff:ffff:ffff:ffff |
| 25 | 3c19:c25c:121:8000::/52 | 3c19:c25c:121:8fff:ffff:ffff:ffff:ffff |
| 26 | 3c19:c25c:121:9000::/52 | 3c19:c25c:121:9fff:ffff:ffff:ffff:ffff |
| 27 | 3c19:c25c:121:a000::/52 | 3c19:c25c:121:afff:ffff:ffff:ffff:ffff |
| 28 | 3c19:c25c:121:b000::/52 | 3c19:c25c:121:bfff:ffff:ffff:ffff:ffff |
| 29 | 3c19:c25c:121:c000::/52 | 3c19:c25c:121:cfff:ffff:ffff:ffff:ffff |
| 30 | 3c19:c25c:121:d000::/52 | 3c19:c25c:121:dfff:ffff:ffff:ffff:ffff |
| 31 | 3c19:c25c:121:e000::/52 | 3c19:c25c:121:efff:ffff:ffff:ffff:ffff |
| 32 | 3c19:c25c:121:f000::/52 | 3c19:c25c:121:ffff:ffff:ffff:ffff:ffff |
| 33 | 3c19:c25c:122::/52 | 3c19:c25c:122:fff:ffff:ffff:ffff:ffff |
| 34 | 3c19:c25c:122:1000::/52 | 3c19:c25c:122:1fff:ffff:ffff:ffff:ffff |
| 35 | 3c19:c25c:122:2000::/52 | 3c19:c25c:122:2fff:ffff:ffff:ffff:ffff |
| 36 | 3c19:c25c:122:3000::/52 | 3c19:c25c:122:3fff:ffff:ffff:ffff:ffff |
| 37 | 3c19:c25c:122:4000::/52 | 3c19:c25c:122:4fff:ffff:ffff:ffff:ffff |
| 38 | 3c19:c25c:122:5000::/52 | 3c19:c25c:122:5fff:ffff:ffff:ffff:ffff |
| 39 | 3c19:c25c:122:6000::/52 | 3c19:c25c:122:6fff:ffff:ffff:ffff:ffff |
| 40 | 3c19:c25c:122:7000::/52 | 3c19:c25c:122:7fff:ffff:ffff:ffff:ffff |
| 41 | 3c19:c25c:122:8000::/52 | 3c19:c25c:122:8fff:ffff:ffff:ffff:ffff |
| 42 | 3c19:c25c:122:9000::/52 | 3c19:c25c:122:9fff:ffff:ffff:ffff:ffff |
| 43 | 3c19:c25c:122:a000::/52 | 3c19:c25c:122:afff:ffff:ffff:ffff:ffff |
| 44 | 3c19:c25c:122:b000::/52 | 3c19:c25c:122:bfff:ffff:ffff:ffff:ffff |
| 45 | 3c19:c25c:122:c000::/52 | 3c19:c25c:122:cfff:ffff:ffff:ffff:ffff |
| 46 | 3c19:c25c:122:d000::/52 | 3c19:c25c:122:dfff:ffff:ffff:ffff:ffff |
| 47 | 3c19:c25c:122:e000::/52 | 3c19:c25c:122:efff:ffff:ffff:ffff:ffff |
| 48 | 3c19:c25c:122:f000::/52 | 3c19:c25c:122:ffff:ffff:ffff:ffff:ffff |
| 49 | 3c19:c25c:123::/52 | 3c19:c25c:123:fff:ffff:ffff:ffff:ffff |
| 50 | 3c19:c25c:123:1000::/52 | 3c19:c25c:123:1fff:ffff:ffff:ffff:ffff |
| 51 | 3c19:c25c:123:2000::/52 | 3c19:c25c:123:2fff:ffff:ffff:ffff:ffff |
| 52 | 3c19:c25c:123:3000::/52 | 3c19:c25c:123:3fff:ffff:ffff:ffff:ffff |
| 53 | 3c19:c25c:123:4000::/52 | 3c19:c25c:123:4fff:ffff:ffff:ffff:ffff |
| 54 | 3c19:c25c:123:5000::/52 | 3c19:c25c:123:5fff:ffff:ffff:ffff:ffff |
| 55 | 3c19:c25c:123:6000::/52 | 3c19:c25c:123:6fff:ffff:ffff:ffff:ffff |
| 56 | 3c19:c25c:123:7000::/52 | 3c19:c25c:123:7fff:ffff:ffff:ffff:ffff |
| 57 | 3c19:c25c:123:8000::/52 | 3c19:c25c:123:8fff:ffff:ffff:ffff:ffff |
| 58 | 3c19:c25c:123:9000::/52 | 3c19:c25c:123:9fff:ffff:ffff:ffff:ffff |
| 59 | 3c19:c25c:123:a000::/52 | 3c19:c25c:123:afff:ffff:ffff:ffff:ffff |
| 60 | 3c19:c25c:123:b000::/52 | 3c19:c25c:123:bfff:ffff:ffff:ffff:ffff |
| 61 | 3c19:c25c:123:c000::/52 | 3c19:c25c:123:cfff:ffff:ffff:ffff:ffff |
| 62 | 3c19:c25c:123:d000::/52 | 3c19:c25c:123:dfff:ffff:ffff:ffff:ffff |
| 63 | 3c19:c25c:123:e000::/52 | 3c19:c25c:123:efff:ffff:ffff:ffff:ffff |
| 64 | 3c19:c25c:123:f000::/52 | 3c19:c25c:123:ffff:ffff:ffff:ffff:ffff |
| 65 | 3c19:c25c:124::/52 | 3c19:c25c:124:fff:ffff:ffff:ffff:ffff |
| 66 | 3c19:c25c:124:1000::/52 | 3c19:c25c:124:1fff:ffff:ffff:ffff:ffff |
| 67 | 3c19:c25c:124:2000::/52 | 3c19:c25c:124:2fff:ffff:ffff:ffff:ffff |
| 68 | 3c19:c25c:124:3000::/52 | 3c19:c25c:124:3fff:ffff:ffff:ffff:ffff |
| 69 | 3c19:c25c:124:4000::/52 | 3c19:c25c:124:4fff:ffff:ffff:ffff:ffff |
| 70 | 3c19:c25c:124:5000::/52 | 3c19:c25c:124:5fff:ffff:ffff:ffff:ffff |
| 71 | 3c19:c25c:124:6000::/52 | 3c19:c25c:124:6fff:ffff:ffff:ffff:ffff |
| 72 | 3c19:c25c:124:7000::/52 | 3c19:c25c:124:7fff:ffff:ffff:ffff:ffff |
| 73 | 3c19:c25c:124:8000::/52 | 3c19:c25c:124:8fff:ffff:ffff:ffff:ffff |
| 74 | 3c19:c25c:124:9000::/52 | 3c19:c25c:124:9fff:ffff:ffff:ffff:ffff |
| 75 | 3c19:c25c:124:a000::/52 | 3c19:c25c:124:afff:ffff:ffff:ffff:ffff |
| 76 | 3c19:c25c:124:b000::/52 | 3c19:c25c:124:bfff:ffff:ffff:ffff:ffff |
| 77 | 3c19:c25c:124:c000::/52 | 3c19:c25c:124:cfff:ffff:ffff:ffff:ffff |
| 78 | 3c19:c25c:124:d000::/52 | 3c19:c25c:124:dfff:ffff:ffff:ffff:ffff |
| 79 | 3c19:c25c:124:e000::/52 | 3c19:c25c:124:efff:ffff:ffff:ffff:ffff |
| 80 | 3c19:c25c:124:f000::/52 | 3c19:c25c:124:ffff:ffff:ffff:ffff:ffff |
| 81 | 3c19:c25c:125::/52 | 3c19:c25c:125:fff:ffff:ffff:ffff:ffff |
| 82 | 3c19:c25c:125:1000::/52 | 3c19:c25c:125:1fff:ffff:ffff:ffff:ffff |
| 83 | 3c19:c25c:125:2000::/52 | 3c19:c25c:125:2fff:ffff:ffff:ffff:ffff |
| 84 | 3c19:c25c:125:3000::/52 | 3c19:c25c:125:3fff:ffff:ffff:ffff:ffff |
| 85 | 3c19:c25c:125:4000::/52 | 3c19:c25c:125:4fff:ffff:ffff:ffff:ffff |
| 86 | 3c19:c25c:125:5000::/52 | 3c19:c25c:125:5fff:ffff:ffff:ffff:ffff |
| 87 | 3c19:c25c:125:6000::/52 | 3c19:c25c:125:6fff:ffff:ffff:ffff:ffff |
| 88 | 3c19:c25c:125:7000::/52 | 3c19:c25c:125:7fff:ffff:ffff:ffff:ffff |
| 89 | 3c19:c25c:125:8000::/52 | 3c19:c25c:125:8fff:ffff:ffff:ffff:ffff |
| 90 | 3c19:c25c:125:9000::/52 | 3c19:c25c:125:9fff:ffff:ffff:ffff:ffff |
| 91 | 3c19:c25c:125:a000::/52 | 3c19:c25c:125:afff:ffff:ffff:ffff:ffff |
| 92 | 3c19:c25c:125:b000::/52 | 3c19:c25c:125:bfff:ffff:ffff:ffff:ffff |
| 93 | 3c19:c25c:125:c000::/52 | 3c19:c25c:125:cfff:ffff:ffff:ffff:ffff |
| 94 | 3c19:c25c:125:d000::/52 | 3c19:c25c:125:dfff:ffff:ffff:ffff:ffff |
| 95 | 3c19:c25c:125:e000::/52 | 3c19:c25c:125:efff:ffff:ffff:ffff:ffff |
| 96 | 3c19:c25c:125:f000::/52 | 3c19:c25c:125:ffff:ffff:ffff:ffff:ffff |
| 97 | 3c19:c25c:126::/52 | 3c19:c25c:126:fff:ffff:ffff:ffff:ffff |
| 98 | 3c19:c25c:126:1000::/52 | 3c19:c25c:126:1fff:ffff:ffff:ffff:ffff |
| 99 | 3c19:c25c:126:2000::/52 | 3c19:c25c:126:2fff:ffff:ffff:ffff:ffff |
| 100 | 3c19:c25c:126:3000::/52 | 3c19:c25c:126:3fff:ffff:ffff:ffff:ffff |
| 101 | 3c19:c25c:126:4000::/52 | 3c19:c25c:126:4fff:ffff:ffff:ffff:ffff |
| 102 | 3c19:c25c:126:5000::/52 | 3c19:c25c:126:5fff:ffff:ffff:ffff:ffff |
| 103 | 3c19:c25c:126:6000::/52 | 3c19:c25c:126:6fff:ffff:ffff:ffff:ffff |
| 104 | 3c19:c25c:126:7000::/52 | 3c19:c25c:126:7fff:ffff:ffff:ffff:ffff |
| 105 | 3c19:c25c:126:8000::/52 | 3c19:c25c:126:8fff:ffff:ffff:ffff:ffff |
| 106 | 3c19:c25c:126:9000::/52 | 3c19:c25c:126:9fff:ffff:ffff:ffff:ffff |
| 107 | 3c19:c25c:126:a000::/52 | 3c19:c25c:126:afff:ffff:ffff:ffff:ffff |
| 108 | 3c19:c25c:126:b000::/52 | 3c19:c25c:126:bfff:ffff:ffff:ffff:ffff |
| 109 | 3c19:c25c:126:c000::/52 | 3c19:c25c:126:cfff:ffff:ffff:ffff:ffff |
| 110 | 3c19:c25c:126:d000::/52 | 3c19:c25c:126:dfff:ffff:ffff:ffff:ffff |
| 111 | 3c19:c25c:126:e000::/52 | 3c19:c25c:126:efff:ffff:ffff:ffff:ffff |
| 112 | 3c19:c25c:126:f000::/52 | 3c19:c25c:126:ffff:ffff:ffff:ffff:ffff |
| 113 | 3c19:c25c:127::/52 | 3c19:c25c:127:fff:ffff:ffff:ffff:ffff |
| 114 | 3c19:c25c:127:1000::/52 | 3c19:c25c:127:1fff:ffff:ffff:ffff:ffff |
| 115 | 3c19:c25c:127:2000::/52 | 3c19:c25c:127:2fff:ffff:ffff:ffff:ffff |
| 116 | 3c19:c25c:127:3000::/52 | 3c19:c25c:127:3fff:ffff:ffff:ffff:ffff |
| 117 | 3c19:c25c:127:4000::/52 | 3c19:c25c:127:4fff:ffff:ffff:ffff:ffff |
| 118 | 3c19:c25c:127:5000::/52 | 3c19:c25c:127:5fff:ffff:ffff:ffff:ffff |
| 119 | 3c19:c25c:127:6000::/52 | 3c19:c25c:127:6fff:ffff:ffff:ffff:ffff |
| 120 | 3c19:c25c:127:7000::/52 | 3c19:c25c:127:7fff:ffff:ffff:ffff:ffff |
| 121 | 3c19:c25c:127:8000::/52 | 3c19:c25c:127:8fff:ffff:ffff:ffff:ffff |
| 122 | 3c19:c25c:127:9000::/52 | 3c19:c25c:127:9fff:ffff:ffff:ffff:ffff |
| 123 | 3c19:c25c:127:a000::/52 | 3c19:c25c:127:afff:ffff:ffff:ffff:ffff |
| 124 | 3c19:c25c:127:b000::/52 | 3c19:c25c:127:bfff:ffff:ffff:ffff:ffff |
| 125 | 3c19:c25c:127:c000::/52 | 3c19:c25c:127:cfff:ffff:ffff:ffff:ffff |
| 126 | 3c19:c25c:127:d000::/52 | 3c19:c25c:127:dfff:ffff:ffff:ffff:ffff |
| 127 | 3c19:c25c:127:e000::/52 | 3c19:c25c:127:efff:ffff:ffff:ffff:ffff |
| 128 | 3c19:c25c:127:f000::/52 | 3c19:c25c:127:ffff:ffff:ffff:ffff:ffff |
| 129 | 3c19:c25c:128::/52 | 3c19:c25c:128:fff:ffff:ffff:ffff:ffff |
| 130 | 3c19:c25c:128:1000::/52 | 3c19:c25c:128:1fff:ffff:ffff:ffff:ffff |
| 131 | 3c19:c25c:128:2000::/52 | 3c19:c25c:128:2fff:ffff:ffff:ffff:ffff |
| 132 | 3c19:c25c:128:3000::/52 | 3c19:c25c:128:3fff:ffff:ffff:ffff:ffff |
| 133 | 3c19:c25c:128:4000::/52 | 3c19:c25c:128:4fff:ffff:ffff:ffff:ffff |
| 134 | 3c19:c25c:128:5000::/52 | 3c19:c25c:128:5fff:ffff:ffff:ffff:ffff |
| 135 | 3c19:c25c:128:6000::/52 | 3c19:c25c:128:6fff:ffff:ffff:ffff:ffff |
| 136 | 3c19:c25c:128:7000::/52 | 3c19:c25c:128:7fff:ffff:ffff:ffff:ffff |
| 137 | 3c19:c25c:128:8000::/52 | 3c19:c25c:128:8fff:ffff:ffff:ffff:ffff |
| 138 | 3c19:c25c:128:9000::/52 | 3c19:c25c:128:9fff:ffff:ffff:ffff:ffff |
| 139 | 3c19:c25c:128:a000::/52 | 3c19:c25c:128:afff:ffff:ffff:ffff:ffff |
| 140 | 3c19:c25c:128:b000::/52 | 3c19:c25c:128:bfff:ffff:ffff:ffff:ffff |
| 141 | 3c19:c25c:128:c000::/52 | 3c19:c25c:128:cfff:ffff:ffff:ffff:ffff |
| 142 | 3c19:c25c:128:d000::/52 | 3c19:c25c:128:dfff:ffff:ffff:ffff:ffff |
| 143 | 3c19:c25c:128:e000::/52 | 3c19:c25c:128:efff:ffff:ffff:ffff:ffff |
| 144 | 3c19:c25c:128:f000::/52 | 3c19:c25c:128:ffff:ffff:ffff:ffff:ffff |
| 145 | 3c19:c25c:129::/52 | 3c19:c25c:129:fff:ffff:ffff:ffff:ffff |
| 146 | 3c19:c25c:129:1000::/52 | 3c19:c25c:129:1fff:ffff:ffff:ffff:ffff |
| 147 | 3c19:c25c:129:2000::/52 | 3c19:c25c:129:2fff:ffff:ffff:ffff:ffff |
| 148 | 3c19:c25c:129:3000::/52 | 3c19:c25c:129:3fff:ffff:ffff:ffff:ffff |
| 149 | 3c19:c25c:129:4000::/52 | 3c19:c25c:129:4fff:ffff:ffff:ffff:ffff |
| 150 | 3c19:c25c:129:5000::/52 | 3c19:c25c:129:5fff:ffff:ffff:ffff:ffff |
| 151 | 3c19:c25c:129:6000::/52 | 3c19:c25c:129:6fff:ffff:ffff:ffff:ffff |
| 152 | 3c19:c25c:129:7000::/52 | 3c19:c25c:129:7fff:ffff:ffff:ffff:ffff |
| 153 | 3c19:c25c:129:8000::/52 | 3c19:c25c:129:8fff:ffff:ffff:ffff:ffff |
| 154 | 3c19:c25c:129:9000::/52 | 3c19:c25c:129:9fff:ffff:ffff:ffff:ffff |
| 155 | 3c19:c25c:129:a000::/52 | 3c19:c25c:129:afff:ffff:ffff:ffff:ffff |
| 156 | 3c19:c25c:129:b000::/52 | 3c19:c25c:129:bfff:ffff:ffff:ffff:ffff |
| 157 | 3c19:c25c:129:c000::/52 | 3c19:c25c:129:cfff:ffff:ffff:ffff:ffff |
| 158 | 3c19:c25c:129:d000::/52 | 3c19:c25c:129:dfff:ffff:ffff:ffff:ffff |
| 159 | 3c19:c25c:129:e000::/52 | 3c19:c25c:129:efff:ffff:ffff:ffff:ffff |
| 160 | 3c19:c25c:129:f000::/52 | 3c19:c25c:129:ffff:ffff:ffff:ffff:ffff |
| 161 | 3c19:c25c:12a::/52 | 3c19:c25c:12a:fff:ffff:ffff:ffff:ffff |
| 162 | 3c19:c25c:12a:1000::/52 | 3c19:c25c:12a:1fff:ffff:ffff:ffff:ffff |
| 163 | 3c19:c25c:12a:2000::/52 | 3c19:c25c:12a:2fff:ffff:ffff:ffff:ffff |
| 164 | 3c19:c25c:12a:3000::/52 | 3c19:c25c:12a:3fff:ffff:ffff:ffff:ffff |
| 165 | 3c19:c25c:12a:4000::/52 | 3c19:c25c:12a:4fff:ffff:ffff:ffff:ffff |
| 166 | 3c19:c25c:12a:5000::/52 | 3c19:c25c:12a:5fff:ffff:ffff:ffff:ffff |
| 167 | 3c19:c25c:12a:6000::/52 | 3c19:c25c:12a:6fff:ffff:ffff:ffff:ffff |
| 168 | 3c19:c25c:12a:7000::/52 | 3c19:c25c:12a:7fff:ffff:ffff:ffff:ffff |
| 169 | 3c19:c25c:12a:8000::/52 | 3c19:c25c:12a:8fff:ffff:ffff:ffff:ffff |
| 170 | 3c19:c25c:12a:9000::/52 | 3c19:c25c:12a:9fff:ffff:ffff:ffff:ffff |
| 171 | 3c19:c25c:12a:a000::/52 | 3c19:c25c:12a:afff:ffff:ffff:ffff:ffff |
| 172 | 3c19:c25c:12a:b000::/52 | 3c19:c25c:12a:bfff:ffff:ffff:ffff:ffff |
| 173 | 3c19:c25c:12a:c000::/52 | 3c19:c25c:12a:cfff:ffff:ffff:ffff:ffff |
| 174 | 3c19:c25c:12a:d000::/52 | 3c19:c25c:12a:dfff:ffff:ffff:ffff:ffff |
| 175 | 3c19:c25c:12a:e000::/52 | 3c19:c25c:12a:efff:ffff:ffff:ffff:ffff |
| 176 | 3c19:c25c:12a:f000::/52 | 3c19:c25c:12a:ffff:ffff:ffff:ffff:ffff |
| 177 | 3c19:c25c:12b::/52 | 3c19:c25c:12b:fff:ffff:ffff:ffff:ffff |
| 178 | 3c19:c25c:12b:1000::/52 | 3c19:c25c:12b:1fff:ffff:ffff:ffff:ffff |
| 179 | 3c19:c25c:12b:2000::/52 | 3c19:c25c:12b:2fff:ffff:ffff:ffff:ffff |
| 180 | 3c19:c25c:12b:3000::/52 | 3c19:c25c:12b:3fff:ffff:ffff:ffff:ffff |
| 181 | 3c19:c25c:12b:4000::/52 | 3c19:c25c:12b:4fff:ffff:ffff:ffff:ffff |
| 182 | 3c19:c25c:12b:5000::/52 | 3c19:c25c:12b:5fff:ffff:ffff:ffff:ffff |
| 183 | 3c19:c25c:12b:6000::/52 | 3c19:c25c:12b:6fff:ffff:ffff:ffff:ffff |
| 184 | 3c19:c25c:12b:7000::/52 | 3c19:c25c:12b:7fff:ffff:ffff:ffff:ffff |
| 185 | 3c19:c25c:12b:8000::/52 | 3c19:c25c:12b:8fff:ffff:ffff:ffff:ffff |
| 186 | 3c19:c25c:12b:9000::/52 | 3c19:c25c:12b:9fff:ffff:ffff:ffff:ffff |
| 187 | 3c19:c25c:12b:a000::/52 | 3c19:c25c:12b:afff:ffff:ffff:ffff:ffff |
| 188 | 3c19:c25c:12b:b000::/52 | 3c19:c25c:12b:bfff:ffff:ffff:ffff:ffff |
| 189 | 3c19:c25c:12b:c000::/52 | 3c19:c25c:12b:cfff:ffff:ffff:ffff:ffff |
| 190 | 3c19:c25c:12b:d000::/52 | 3c19:c25c:12b:dfff:ffff:ffff:ffff:ffff |
| 191 | 3c19:c25c:12b:e000::/52 | 3c19:c25c:12b:efff:ffff:ffff:ffff:ffff |
| 192 | 3c19:c25c:12b:f000::/52 | 3c19:c25c:12b:ffff:ffff:ffff:ffff:ffff |
| 193 | 3c19:c25c:12c::/52 | 3c19:c25c:12c:fff:ffff:ffff:ffff:ffff |
| 194 | 3c19:c25c:12c:1000::/52 | 3c19:c25c:12c:1fff:ffff:ffff:ffff:ffff |
| 195 | 3c19:c25c:12c:2000::/52 | 3c19:c25c:12c:2fff:ffff:ffff:ffff:ffff |
| 196 | 3c19:c25c:12c:3000::/52 | 3c19:c25c:12c:3fff:ffff:ffff:ffff:ffff |
| 197 | 3c19:c25c:12c:4000::/52 | 3c19:c25c:12c:4fff:ffff:ffff:ffff:ffff |
| 198 | 3c19:c25c:12c:5000::/52 | 3c19:c25c:12c:5fff:ffff:ffff:ffff:ffff |
| 199 | 3c19:c25c:12c:6000::/52 | 3c19:c25c:12c:6fff:ffff:ffff:ffff:ffff |
| 200 | 3c19:c25c:12c:7000::/52 | 3c19:c25c:12c:7fff:ffff:ffff:ffff:ffff |
| 201 | 3c19:c25c:12c:8000::/52 | 3c19:c25c:12c:8fff:ffff:ffff:ffff:ffff |
| 202 | 3c19:c25c:12c:9000::/52 | 3c19:c25c:12c:9fff:ffff:ffff:ffff:ffff |
| 203 | 3c19:c25c:12c:a000::/52 | 3c19:c25c:12c:afff:ffff:ffff:ffff:ffff |
| 204 | 3c19:c25c:12c:b000::/52 | 3c19:c25c:12c:bfff:ffff:ffff:ffff:ffff |
| 205 | 3c19:c25c:12c:c000::/52 | 3c19:c25c:12c:cfff:ffff:ffff:ffff:ffff |
| 206 | 3c19:c25c:12c:d000::/52 | 3c19:c25c:12c:dfff:ffff:ffff:ffff:ffff |
| 207 | 3c19:c25c:12c:e000::/52 | 3c19:c25c:12c:efff:ffff:ffff:ffff:ffff |
| 208 | 3c19:c25c:12c:f000::/52 | 3c19:c25c:12c:ffff:ffff:ffff:ffff:ffff |
| 209 | 3c19:c25c:12d::/52 | 3c19:c25c:12d:fff:ffff:ffff:ffff:ffff |
| 210 | 3c19:c25c:12d:1000::/52 | 3c19:c25c:12d:1fff:ffff:ffff:ffff:ffff |
| 211 | 3c19:c25c:12d:2000::/52 | 3c19:c25c:12d:2fff:ffff:ffff:ffff:ffff |
| 212 | 3c19:c25c:12d:3000::/52 | 3c19:c25c:12d:3fff:ffff:ffff:ffff:ffff |
| 213 | 3c19:c25c:12d:4000::/52 | 3c19:c25c:12d:4fff:ffff:ffff:ffff:ffff |
| 214 | 3c19:c25c:12d:5000::/52 | 3c19:c25c:12d:5fff:ffff:ffff:ffff:ffff |
| 215 | 3c19:c25c:12d:6000::/52 | 3c19:c25c:12d:6fff:ffff:ffff:ffff:ffff |
| 216 | 3c19:c25c:12d:7000::/52 | 3c19:c25c:12d:7fff:ffff:ffff:ffff:ffff |
| 217 | 3c19:c25c:12d:8000::/52 | 3c19:c25c:12d:8fff:ffff:ffff:ffff:ffff |
| 218 | 3c19:c25c:12d:9000::/52 | 3c19:c25c:12d:9fff:ffff:ffff:ffff:ffff |
| 219 | 3c19:c25c:12d:a000::/52 | 3c19:c25c:12d:afff:ffff:ffff:ffff:ffff |
| 220 | 3c19:c25c:12d:b000::/52 | 3c19:c25c:12d:bfff:ffff:ffff:ffff:ffff |
| 221 | 3c19:c25c:12d:c000::/52 | 3c19:c25c:12d:cfff:ffff:ffff:ffff:ffff |
| 222 | 3c19:c25c:12d:d000::/52 | 3c19:c25c:12d:dfff:ffff:ffff:ffff:ffff |
| 223 | 3c19:c25c:12d:e000::/52 | 3c19:c25c:12d:efff:ffff:ffff:ffff:ffff |
| 224 | 3c19:c25c:12d:f000::/52 | 3c19:c25c:12d:ffff:ffff:ffff:ffff:ffff |
| 225 | 3c19:c25c:12e::/52 | 3c19:c25c:12e:fff:ffff:ffff:ffff:ffff |
| 226 | 3c19:c25c:12e:1000::/52 | 3c19:c25c:12e:1fff:ffff:ffff:ffff:ffff |
| 227 | 3c19:c25c:12e:2000::/52 | 3c19:c25c:12e:2fff:ffff:ffff:ffff:ffff |
| 228 | 3c19:c25c:12e:3000::/52 | 3c19:c25c:12e:3fff:ffff:ffff:ffff:ffff |
| 229 | 3c19:c25c:12e:4000::/52 | 3c19:c25c:12e:4fff:ffff:ffff:ffff:ffff |
| 230 | 3c19:c25c:12e:5000::/52 | 3c19:c25c:12e:5fff:ffff:ffff:ffff:ffff |
| 231 | 3c19:c25c:12e:6000::/52 | 3c19:c25c:12e:6fff:ffff:ffff:ffff:ffff |
| 232 | 3c19:c25c:12e:7000::/52 | 3c19:c25c:12e:7fff:ffff:ffff:ffff:ffff |
| 233 | 3c19:c25c:12e:8000::/52 | 3c19:c25c:12e:8fff:ffff:ffff:ffff:ffff |
| 234 | 3c19:c25c:12e:9000::/52 | 3c19:c25c:12e:9fff:ffff:ffff:ffff:ffff |
| 235 | 3c19:c25c:12e:a000::/52 | 3c19:c25c:12e:afff:ffff:ffff:ffff:ffff |
| 236 | 3c19:c25c:12e:b000::/52 | 3c19:c25c:12e:bfff:ffff:ffff:ffff:ffff |
| 237 | 3c19:c25c:12e:c000::/52 | 3c19:c25c:12e:cfff:ffff:ffff:ffff:ffff |
| 238 | 3c19:c25c:12e:d000::/52 | 3c19:c25c:12e:dfff:ffff:ffff:ffff:ffff |
| 239 | 3c19:c25c:12e:e000::/52 | 3c19:c25c:12e:efff:ffff:ffff:ffff:ffff |
| 240 | 3c19:c25c:12e:f000::/52 | 3c19:c25c:12e:ffff:ffff:ffff:ffff:ffff |
| 241 | 3c19:c25c:12f::/52 | 3c19:c25c:12f:fff:ffff:ffff:ffff:ffff |
| 242 | 3c19:c25c:12f:1000::/52 | 3c19:c25c:12f:1fff:ffff:ffff:ffff:ffff |
| 243 | 3c19:c25c:12f:2000::/52 | 3c19:c25c:12f:2fff:ffff:ffff:ffff:ffff |
| 244 | 3c19:c25c:12f:3000::/52 | 3c19:c25c:12f:3fff:ffff:ffff:ffff:ffff |
| 245 | 3c19:c25c:12f:4000::/52 | 3c19:c25c:12f:4fff:ffff:ffff:ffff:ffff |
| 246 | 3c19:c25c:12f:5000::/52 | 3c19:c25c:12f:5fff:ffff:ffff:ffff:ffff |
| 247 | 3c19:c25c:12f:6000::/52 | 3c19:c25c:12f:6fff:ffff:ffff:ffff:ffff |
| 248 | 3c19:c25c:12f:7000::/52 | 3c19:c25c:12f:7fff:ffff:ffff:ffff:ffff |
| 249 | 3c19:c25c:12f:8000::/52 | 3c19:c25c:12f:8fff:ffff:ffff:ffff:ffff |
| 250 | 3c19:c25c:12f:9000::/52 | 3c19:c25c:12f:9fff:ffff:ffff:ffff:ffff |
| 251 | 3c19:c25c:12f:a000::/52 | 3c19:c25c:12f:afff:ffff:ffff:ffff:ffff |
| 252 | 3c19:c25c:12f:b000::/52 | 3c19:c25c:12f:bfff:ffff:ffff:ffff:ffff |
| 253 | 3c19:c25c:12f:c000::/52 | 3c19:c25c:12f:cfff:ffff:ffff:ffff:ffff |
| 254 | 3c19:c25c:12f:d000::/52 | 3c19:c25c:12f:dfff:ffff:ffff:ffff:ffff |
| 255 | 3c19:c25c:12f:e000::/52 | 3c19:c25c:12f:efff:ffff:ffff:ffff:ffff |
| 256 | 3c19:c25c:12f:f000::/52 | 3c19:c25c:12f:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |